add_library(eel STATIC
    eel.c
    e_script.c
    e_symtab.c
    e_path.c
    e_util.c
    e_lexer.c
    e_register.c
    e_builtin.c
    e_getargs.c
)

target_include_directories(eel
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
    PRIVATE ${CMAKE_SOURCE_DIR}
)

target_link_libraries(eel PUBLIC kobo_deps)
